package com.huimv.farm.musk.breed.controller;


import com.huimv.farm.musk.breed.entity.BreedMuskInfo;
import com.huimv.farm.musk.breed.entity.BreedMuskStock;
import com.huimv.farm.musk.breed.service.IBreedMuskStockService;
import com.huimv.farm.musk.common.utils.Result;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.CrossOrigin;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;

import org.springframework.web.bind.annotation.RestController;

import java.util.Map;

/**
 * <p>
 * 存栏统计 前端控制器
 * </p>
 *
 * @author author
 * @since 2024-09-02
 */
@RestController
@RequestMapping("/breed-musk-stock")
@CrossOrigin
public class BreedMuskStockController {

    @Autowired
    private IBreedMuskStockService stockService;

    @RequestMapping("/listPage")
    public Result listPage(@RequestBody Map<String, String> paramsMap) {
        return stockService.listPage(paramsMap);
    }

    @RequestMapping("/add")
    public Result add(@RequestBody BreedMuskStock muskStock) {
        return stockService.add(muskStock);
    }

    @RequestMapping("/edit")
    public Result edit(@RequestBody BreedMuskStock muskStock) {
        return stockService.edit(muskStock);
    }
    @RequestMapping("/remove")
    public Result remove(@RequestBody Map<String, String> paramsMap) {
        return stockService.remove(paramsMap);
    }
}
