package com.huimv.farm.musk.breed.service.impl;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.core.toolkit.StringUtils;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.huimv.farm.musk.breed.entity.BreedChildbirth;
import com.huimv.farm.musk.breed.entity.BreedCure;
import com.huimv.farm.musk.breed.mapper.BreedChildbirthMapper;
import com.huimv.farm.musk.breed.service.IBreedChildbirthService;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.huimv.farm.musk.common.utils.Result;
import com.huimv.farm.musk.common.utils.ResultCode;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.Date;
import java.util.Map;

/**
 * <p>
 * 分娩情况 服务实现类
 * </p>
 *
 * @author author
 * @since 2024-09-02
 */
@Service
public class BreedChildbirthServiceImpl extends ServiceImpl<BreedChildbirthMapper, BreedChildbirth> implements IBreedChildbirthService {

    @Autowired
    private BreedChildbirthMapper childbirthMapper;
    @Override
    public Result listPage(Map<String, String> paramsMap) {
        String farmId = paramsMap.get("farmId");
        String pageNum = paramsMap.get("pageNum");
        String pageSize = paramsMap.get("pageSize");
        String muskId = paramsMap.get("muskId");
        if ("".equals(pageNum) || null == pageNum) {
            pageNum = "1";
            pageSize = "20";
        }
        QueryWrapper<BreedChildbirth> queryWrapper = new QueryWrapper<>();
        queryWrapper.eq("farm_id", farmId).like(StringUtils.isNotBlank(muskId), "musk_id", muskId);
        Page page = new Page<BreedChildbirth>(Integer.parseInt(pageNum), Integer.parseInt(pageSize));
        return new Result(ResultCode.SUCCESS, childbirthMapper.selectPage(page, queryWrapper));
    }

    @Override
    public Result add(BreedChildbirth childbirth) {
        childbirth.setCreateTime(new Date());
        return new Result(ResultCode.SUCCESS, childbirthMapper.insert(childbirth));
    }

    @Override
    public Result edit(BreedChildbirth childbirth) {
        return new Result(ResultCode.SUCCESS, childbirthMapper.updateById(childbirth));
    }

    @Override
    public Result remove(Map<String, String> paramsMap) {
        String ids = paramsMap.get("ids");
        String[] split = ids.split(",");
        for (String s : split) {
            childbirthMapper.deleteById(s);
        }
        return new Result(ResultCode.SUCCESS);
    }
}
