package com.huimv.farm.musk.controller;


import com.huimv.farm.musk.common.utils.Result;
import com.huimv.farm.musk.common.utils.ResultCode;
import com.huimv.farm.musk.entity.BaseBuilding;
import com.huimv.farm.musk.entity.DevEnergy;
import com.huimv.farm.musk.service.IDevEnergyService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;

import java.util.Map;

/**
 * <p>
 *  前端控制器
 * </p>
 *
 * @author author
 * @since 2024-09-02
 */
@RestController
@RequestMapping("/dev-energy")
@CrossOrigin
public class DevEnergyController {

    @Autowired
    private IDevEnergyService energyService;

    @PostMapping("/addEnergy")
    public Result addEnergy(@RequestBody DevEnergy devEnergy) {
        try {
            energyService.save(devEnergy);
        }catch (Exception e){
            return new Result(ResultCode.FAIL,"添加失败");
        }

        return new Result(ResultCode.SUCCESS,"添加成功");
    }

    @PostMapping("/deleteEnergy")
    public Result deleteEnergy( @RequestBody Map<String, Integer> map) {
        try {
            Integer id = map.get("id");
            energyService.removeById(id);
        }catch (Exception e){
            return new Result(ResultCode.FAIL,"删除失败");
        }

        return new Result(ResultCode.SUCCESS,"删除成功");
    }

    @PostMapping("/updateEnergy")
    public Result updateEnergy( @RequestBody DevEnergy devEnergy) {
        try {
            energyService.updateById(devEnergy);
        }catch (Exception e){
            return new Result(ResultCode.FAIL,"修改失败");
        }

        return new Result(ResultCode.SUCCESS,"修改成功");
    }

    @PostMapping("/pageEnergy")
    public Result pageEnergy( @RequestBody Map<String, Object> map) {
        return  energyService.pageEnergy(map);
    }

    @PostMapping("/listEnergy")
    public Result listEnergy( @RequestBody Map<String, String> map) {
        return  energyService.listEnergy(map);
    }

    @RequestMapping("/listHistory")
    public Result listHistory(@RequestBody Map<String, String> paramsMap) {
        return energyService.listHistory(paramsMap);
    }

    @RequestMapping("/listScreen")
    public Result listScreen(@RequestBody Map<String, String> paramsMap) {
        return energyService.listScreen(paramsMap);
    }

}
