package com.huimv.farm.musk.controller;


import com.huimv.farm.musk.common.utils.Result;
import com.huimv.farm.musk.common.utils.ResultCode;
import com.huimv.farm.musk.entity.DevEnv;
import com.huimv.farm.musk.service.IDevEnvService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;

import java.util.Map;

/**
 * <p>
 *  前端控制器
 * </p>
 *
 * @author author
 * @since 2024-09-02
 */
@RestController
@RequestMapping("/dev-env")
@CrossOrigin
public class DevEnvController {

    @Autowired
    private IDevEnvService envService;


    @PostMapping("/addDevEnv")
    public Result addEnergy(@RequestBody DevEnv devEnv) {
        try {
            envService.save(devEnv);
        }catch (Exception e){
            return new Result(ResultCode.FAIL,"添加失败");
        }

        return new Result(ResultCode.SUCCESS,"添加成功");
    }

    @PostMapping("/deleteDevEnv")
    public Result deleteDevEnv( @RequestBody Map<String, Integer> map) {
        try {
            Integer id = map.get("id");
            envService.removeById(id);
        }catch (Exception e){
            return new Result(ResultCode.FAIL,"删除失败");
        }

        return new Result(ResultCode.SUCCESS,"删除成功");
    }

    @PostMapping("/updateDevEnv")
    public Result deleteDevEnv( @RequestBody DevEnv devEnv) {
        try {
            envService.updateById(devEnv);
        }catch (Exception e){
            return new Result(ResultCode.FAIL,"修改失败");
        }

        return new Result(ResultCode.SUCCESS,"修改成功");
    }

    @PostMapping("/pageDevEnv")
    public Result pageDevEnv( @RequestBody Map<String, Object> map) {
        return  envService.pageDevEnv(map);
    }

    @PostMapping("/listDevEnv")
    public Result listDevEnv( @RequestBody Map<String, String> map) {
        return  envService.listEnergy(map);
    }

    @RequestMapping("/listHistory")
    public Result listHistory(@RequestBody Map<String, String> paramsMap) {
        return envService.listHistory(paramsMap);
    }

//    //大屏环境监测
    @RequestMapping("/listScreen")
    public Result listScreen(@RequestBody Map<String, String> paramsMap) {
        return envService.listScreen(paramsMap);
    }


}
