package com.huimv.farm.musk.controller;


import com.huimv.farm.musk.common.utils.Result;
import com.huimv.farm.musk.common.utils.ResultCode;
import com.huimv.farm.musk.entity.DevEnergy;
import com.huimv.farm.musk.entity.DevThreshold;
import com.huimv.farm.musk.service.IDevEnvService;
import com.huimv.farm.musk.service.IDevThresholdService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;

import java.util.Map;

/**
 * <p>
 * 环境阈值 前端控制器
 * </p>
 *
 * @author author
 * @since 2024-09-02
 */
@RestController
@RequestMapping("/dev-threshold")
@CrossOrigin
public class DevThresholdController {

    @Autowired
    private IDevThresholdService thresholdService;



    @PostMapping("/updateThreshold")
    public Result updateThreshold( @RequestBody DevThreshold devThreshold) {
        try {
            thresholdService.updateById(devThreshold);
        }catch (Exception e){
            return new Result(ResultCode.FAIL,"修改失败");
        }

        return new Result(ResultCode.SUCCESS,"修改成功");
    }


    @PostMapping("/listThreshold")
    public Result listThreshold( @RequestBody Map<String, String> map) {
        return  thresholdService.listThreshold(map);
    }


}
