package com.huimv.farm.musk.controller;


import com.huimv.farm.musk.common.utils.Result;
import com.huimv.farm.musk.common.utils.ResultCode;
import com.huimv.farm.musk.entity.SysCamera;
import com.huimv.farm.musk.entity.vo.CameraListVo;
import com.huimv.farm.musk.entity.vo.CameraListsVo;
import com.huimv.farm.musk.service.ISysCameraService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;

import java.util.List;
import java.util.Map;

/**
 * <p>
 *  前端控制器
 * </p>
 *
 * @author author
 * @since 2023-06-01
 */
@RestController
@RequestMapping("/admin/cameraBase")
@CrossOrigin
public class SysCameraController {
    @Autowired
    private ISysCameraService cameraService;

    @PostMapping("/list")
    public Result list(@RequestBody CameraListVo cameraListVo) {
        return cameraService.listPage(cameraListVo);
    }

    @PostMapping("/add")
    public Result add(@RequestBody SysCamera camera) {
        if (camera == null) {
            return new Result(ResultCode.FAIL, "添加失败");
        }
        return cameraService.add(camera);

    }

    @PostMapping("/update")
    public Result update(@RequestBody SysCamera camera) {
        return cameraService.updates(camera);

    }

    @PostMapping("/updateStatus")
    public Result updateStatus(@RequestBody Map<String, String> paramsMap) {
        String id = paramsMap.get("id");
        SysCamera sysCamera = cameraService.getById(id);
        sysCamera.setRunStatus(Math.abs(1-sysCamera.getRunStatus()));
        cameraService.updateById(sysCamera);
        return new Result(10000, "修改成功", true);
    }

    @GetMapping("/remove")
    public Result remove(@RequestParam(value = "ids") List<Integer> ids) {
        cameraService.removeByIds(ids);
        return new Result(ResultCode.SUCCESS, "删除成功");
    }

    @PostMapping("/getCameraDetails")
    private Result getCameraDetails(@RequestBody CameraListsVo cameraListsVo) throws InterruptedException {

        List list = cameraService.getCameraDetails(cameraListsVo);
        return new Result(ResultCode.SUCCESS, list);
    }

//    @GetMapping("/initCamera")
//    private Result initCamera(@RequestParam(name = "farmId") Integer farmId, HttpServletRequest request) {
//        Integer userId = TokenSign.getMemberIdByJwtToken(request);
//
//        return cameraService.initCamera(farmId, userId);
//    }
}
