package com.huimv.farm.musk.entity;

import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import java.time.LocalDateTime;
import java.io.Serializable;
import java.util.Date;

import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * <p>
 * 预警信息
 * </p>
 *
 * @author author
 * @since 2024-09-02
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@TableName("dev_warning")
public class DevWarning implements Serializable {

    private static final long serialVersionUID = 1L;

    @TableId(value = "id", type = IdType.AUTO)
    private Integer id;

    /**
     * 创建时间
     */
    @JsonFormat(pattern = "yyyy-MM-dd", timezone = "GMT+8")
    private Date createTime;

    /**
     * 内容
     */
    private String content;

    /**
     * 牧场编码
     */
    private Integer farmId;

    /**
     * 0高温 1低温 2高湿 3低湿 4高气 5低气  6高水 7低水 8高电 9低电
     */
    private Integer warningType;

    /**
     * 预警位置id
     */
    private Integer unitId;

    /**
     * 预警位置名称
     */
    private String unitName;


}
