package com.huimv.farm.musk.health.entity;

import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import java.time.LocalDateTime;
import java.io.Serializable;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * <p>
 * 健康监测预警
 * </p>
 *
 * @author author
 * @since 2024-09-03
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@TableName("health_warning")
public class HealthWarning implements Serializable {

    private static final long serialVersionUID = 1L;

    @TableId(value = "id", type = IdType.AUTO)
    private Integer id;

    /**
     * 预警内容
     */
    private String content;

    /**
     * 林麝id
     */
    private String muskId;

    /**
     * 预警类型 1体温高 2体温低 3运动量少 4运动量高
     */
    private Integer warningType;

    /**
     * 创建时间
     */
    private LocalDateTime createTime;

    /**
     * 牧场编码
     */
    private Integer farmId;


}
