package com.huimv.farm.musk.service.impl;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.huimv.farm.musk.common.utils.Result;
import com.huimv.farm.musk.common.utils.ResultCode;
import com.huimv.farm.musk.entity.DevThreshold;
import com.huimv.farm.musk.mapper.DevThresholdMapper;
import com.huimv.farm.musk.service.IDevThresholdService;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import org.springframework.stereotype.Service;
import org.springframework.util.ObjectUtils;

import java.util.Map;

/**
 * <p>
 * 环境阈值 服务实现类
 * </p>
 *
 * @author author
 * @since 2024-09-02
 */
@Service
public class DevThresholdServiceImpl extends ServiceImpl<DevThresholdMapper, DevThreshold> implements IDevThresholdService {

    @Override
    public Result listThreshold(Map<String, String> map) {
        String farmId = map.get("farmId");
        DevThreshold devThreshold = this.getOne(new QueryWrapper<DevThreshold>().eq("farm_id", farmId));
        if (ObjectUtils.isEmpty(devThreshold)){
            devThreshold = new DevThreshold();
           this.save(devThreshold);
           devThreshold = this.getOne(new QueryWrapper<DevThreshold>().eq("farm_id", farmId));
        }
        return new Result(ResultCode.SUCCESS,devThreshold);
    }
}
