package com.huimv.farm.musk.service.impl;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.core.toolkit.ObjectUtils;
import com.baomidou.mybatisplus.core.toolkit.StringUtils;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.huimv.farm.musk.common.utils.Result;
import com.huimv.farm.musk.common.utils.ResultCode;
import com.huimv.farm.musk.entity.DevEnv;
import com.huimv.farm.musk.entity.DevWarning;
import com.huimv.farm.musk.mapper.DevWarningMapper;
import com.huimv.farm.musk.service.IDevWarningService;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import org.springframework.stereotype.Service;

import java.util.Map;

/**
 * <p>
 * 预警信息 服务实现类
 * </p>
 *
 * @author author
 * @since 2024-09-02
 */
@Service
public class DevWarningServiceImpl extends ServiceImpl<DevWarningMapper, DevWarning> implements IDevWarningService {

    @Override
    public Result pageWarning(Map<String, Object> map) {
        Integer current = (Integer) map.get("current");
        Integer size = (Integer) map.get("size");
        String farmId = (String) map.get("farmId");
        String unitId = (String) map.get("unitId");
        if (current == null || size <1){
            current = 1;
        }
        if (size == null || size<1){
            size = 10;
        }
        IPage<DevWarning> list = page(new Page<>(current, size), new QueryWrapper<DevWarning>().eq(ObjectUtils.isNotEmpty(unitId),"unit_id",unitId).eq("farm_id", farmId));

        return new Result(ResultCode.SUCCESS, list);
    }

    @Override
    public Result listWarning(Map<String, String> map) {
        String unitId = map.get("unitId");
        String farmId = map.get("farmId");
        return new Result(ResultCode.SUCCESS, this.list( new QueryWrapper<DevWarning>().eq(StringUtils.isNotBlank(unitId),"unit_id",unitId).eq("farm_id",farmId)));

    }
}
